Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class IdentityConstraint

    java.lang.Object
      com.sun.msv.grammar.xmlschema.IdentityConstraint

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  KeyConstraint, KeyRefConstraint, UniqueConstraint

public class IdentityConstraint
extends java.lang.Object
implements java.io.Serializable

represents an identity constraint.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`Field[]` | `fields` fields of this constraint.
`java.lang.String` | `localName` local name of the identity constraint.
`java.lang.String` | `namespaceURI` namespace URI of the identity constraint.
`XPath[]` | `selectors` selectors of the identity constraint.

Constructor Summary
`IdentityConstraint(java.lang.String namespaceURI, java.lang.String localName, XPath[] selectors, Field[] fields)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectors

    public final XPath[] selectors

  selectors of the identity constraint. each XPath separated by '|' will be treated as one entity.

### namespaceURI

    public final java.lang.String namespaceURI

  namespace URI of the identity constraint.

### localName

    public final java.lang.String localName

  local name of the identity constraint.

### fields

    public final Field[] fields

  fields of this constraint.

Constructor Detail

### IdentityConstraint

    public IdentityConstraint(java.lang.String namespaceURI,
                              java.lang.String localName,
                              XPath[] selectors,
                              Field[] fields)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD